/*  -----------------------------------------------------------------------
    Program  :  RGBDec.sas

    Author   :  Perry Watts
    Date     :  2003 = original version
    
    Project  :  SGF-11
 
    Purpose  :  Convert an RGB Hex color color to three decimal numbers
                PowerPoint understands.

    Input    :  A SAS RGB color Code CXrrggbb where rrggbb are
                three hexadecimal numbers. 
    Output   :  A String representing three decimal numbers
                rrr,ggg,bbb.
    ------------------------------------------------------------------- */
 %macro RGBDec(CXrrggbb);
  %local rr gg bb;
  %let rr=%substr(&CXrrggbb,3,2);
  %let gg=%substr(&CXrrggbb,5,2);
  %let bb=%substr(&CXrrggbb,7);
  %let rrr=%sysfunc(putn(%sysfunc(inputn(&rr,hex2.)),z3.));
  %let ggg=%sysfunc(putn(%sysfunc(inputn(&gg,hex2.)),z3.));
  %let bbb=%sysfunc(putn(%sysfunc(inputn(&bb,hex2.)),z3.));
  &rrr.,&ggg.,&bbb.
 %mend RGBDec;
