/*  -----------------------------------------------------------------------
    Program  :  RGBHex.sas

    Author   :  Perry Watts
    Date     :  2003 = original version
    
    Project  :  SGF-11
 
    Purpose  :  Convert Decimal RGB color to HEX which SAS understands.
                Round first, because HEX truncates.

    Input    :  Three decimal numbers representing a color in terms
                of its red, greeen, and blue components.
    Output   :  a SAS RGB color Code CXrrggbb where rrggbb are
                three hexadecimal numbers.
    ------------------------------------------------------------------- */

 %macro RGBHex(rr,gg,bb);
   %let rr=%sysfunc(round(&rr));
   %let gg=%sysfunc(round(&gg));
   %let bb=%sysfunc(round(&bb));
   %sysfunc(compress(CX%sysfunc(putn(&rr,hex2.))
                     %sysfunc(putn(&gg,hex2.))
                     %sysfunc(putn(&bb,hex2.))))
 %mend RGBHex;


