/*  -----------------------------------------------------------------------
    Program  :  RGBtoHLS.sas

    Author   :  Perry Watts
    Date     :  2003 = original version
    
    Project  :  SGF-11

    Purpose  :  Use Foley and Van Dam Procedure RGB_TO_HLS on p. 618
                to calculate Tektronix HLS given a DECIMAL RGB code.

    Notes    :  This macro simply calls three pre-existing subordinate
                  macros to get the three components of an HLS code. 
    ------------------------------------------------------------------- */

   %macro RGBtoHLS(r,g,b);
     %RGBtoHue(&r,&g,&b),%RGBtoLum(&r,&g,&b),%RGBtoSAT(&r,&g,&b)
   %mend RGBtoHLS;
