/*  -----------------------------------------------------------------------
    Program  :  RGBtoLum.sas

    Author   :  Perry Watts
    Date     :  2003 = Original Version
    
    Project  :  SGF-11

    Purpose  :  Use Foley and Van Dam Procedure RGB_TO_HLS on p. 618
                to calculate Tektronix HLS given RGB code from
                MS PowerPoint.               
    ------------------------------------------------------------------- */

   %macro RGBtoLUM(r,g,b);
       %local red green blue mmax mmin ll lite;
       %let red = %sysevalf(&r/255);
       %let green =%sysevalf(&g/255);
       %let blue=%sysevalf(&b/255);
       %let mmax=%sysfunc(max(&red,&green,&blue));
       %let mmin=%sysfunc(min(&red,&green,&blue));
       %let ll=%sysevalf((&mmax+&mmin)/2);
       %let lite=%sysfunc(round(%sysevalf(&ll*255)));
       %sysfunc(putn(&lite,3.))
    %mend RGBtoLUM;
